/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_array_test1.pov
 
 Making a 3 variable Hessian array.
 
*/
  ////
 //   example   //
//_____________//   
#global_settings{charset utf8 assumed_gamma 1.0}
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc"  
// Define the string to be typeset
CL_rlp_make_text_string_set(3) // Defines CL_default_space,CL_math_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
#declare inner_parts       = array[3][3];
#declare inner_dimensions  = array[3][3];
//
// Set up the array of objects and the array of object dimensions.
//
#declare inner_parts[0][0]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jx^2",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[0][0] =  CL_dimensions_out; 
//
#declare inner_parts[0][1]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jx|jy",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[0][1] =  CL_dimensions_out; 
//
#declare inner_parts[0][2]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jx|jz",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[0][2] =  CL_dimensions_out; 
//
#declare inner_parts[1][0]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jy|jx",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[1][0] =  CL_dimensions_out; 
//
#declare inner_parts[1][1]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jy^2",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[1][1] =  CL_dimensions_out; 
//
#declare inner_parts[1][2]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jy|jz",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[1][2] =  CL_dimensions_out; 
//
#declare inner_parts[2][0]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jz|jx",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[2][0] =  CL_dimensions_out; 
//
#declare inner_parts[2][1]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jz|jy",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[2][1] =  CL_dimensions_out; 
//
#declare inner_parts[2][2]      =  object{CL_rlp_make_text_fraction(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                    "#|j^2|f","#|jz^2",CL_medium_space,CL_dimensions_out)}
#declare inner_dimensions[2][2] =  CL_dimensions_out; 
//
// Make the array object.
// 
#declare array_obj              =  object{CL_rlp_make_array(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                            inner_parts,"ccc",CL_medium_space,CL_large_space,CL_large_space,
                                                            inner_dimensions,CL_dimensions_out) }
#declare array_dimensions       = CL_dimensions_out;
//
// Put the elastic brackets around it.
//
#declare delimited_object       = object{CL_rlp_make_elastic_bracket_pair(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,
                                                          CL_cham,CL_font_type,array_obj,CL_tiny_space,1,1,array_dimensions,CL_dimensions_out)} 
#declare delimited_dimensions   = CL_dimensions_out;
//
// Make the left hand side
//
#declare lhs_object             = object{CL_rlp_make_text_string("#H(x,y)  =  ",CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                CL_dimensions_out)} 
//
// And concatenate
//
#declare part_dimensions        = array[2];
#declare part_dimensions[0]     = CL_dimensions_out;
#declare part_dimensions[1]     = delimited_dimensions;
#declare concat_object          = object{CL_rlp_make_concatenate(lhs_object,delimited_object,CL_medium_space,part_dimensions,CL_dimensions_out)} 
//
object{concat_object translate <-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
//cylinder{<-20,0,0> <20,0,0> 0.05 pigment{Red}}
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<0,0,-140> look_at <0,0,0> angle 15}

