/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_integral_test.pov
 
 Here's a demonstration of how you might construct integrals with the CL_rlp macros.
 
*/
  ////
 //   example   //
//_____________//  
#global_settings{charset utf8 assumed_gamma 1.0}    // This is essential, or you get  instead of space, amongst other things.
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc" 
// 
CL_rlp_make_text_string_set(3) // Defines CL_tiny_space,CL_small_space,CL_medium_space,CL_large_space,CL_huge_space,CL_letter_adjust,
//                                        CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
#declare CL_debug_lines       =  0;   // Set to 1 for a collection of bounding boxes, and messages.
//
// Gauss' Theorem
// Make the volume integral object 
// 
#declare integrand_part       = 0;
#declare integrand_string     = "#|9.F";  // For volume
#declare int_varb_string      = "#V";
#declare sub_string           = "#V";  
#declare front_space          = 0;
#declare back_space           = CL_medium_space;
#declare display_type         = 1;  // 0 for inline, 1 for displayed
#declare integral_type        = 3;  // 1 for line, 2 for surface, 3 for volume.
#declare vector_type          = 3;  // 1 for underlined, 2 for emboldened. For surface, 3 for dot n hat underlined, 4 for dot n emboldened.
#declare oint                 = 0;  // 0 for oint, 1 for not oint. Ignored for volume.
#declare integrand_dimensions = array[4]{0,0,0,0};
#declare vol_int_dimensions   = array[4]{0,0,0,0};
#declare vol_int_object       = object{CL_rlp_make_linesurfacevolume_integral(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,
                                                                              CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                              integrand_part,integrand_string,int_varb_string,sub_string,
                                                                              front_space,back_space,display_type,integral_type,vector_type,oint,
                                                                              integrand_dimensions,vol_int_dimensions)} 
//
// Make the surface integral object
//      
#declare integrand_part       = 0;
#declare integrand_string     = "#F";  // For volume
#declare int_varb_string      = "#S";
#declare sub_string           = "#|jV";  
#declare front_space          = CL_medium_space;
#declare back_space           = CL_medium_space;
#declare display_type         = 1;  // 0 for inline, 1 for displayed
#declare integral_type        = 2;  // 1 for line, 2 for surface, 3 for volume.
#declare vector_type          = 3;  // 1 for underlined, 2 for emboldened. For surface, 3 for dot n hat underlined, 4 for dot n emboldened.
#declare oint                 = 0;  // 0 for oint, 1 for not oint. Ignored for volume.
#declare surf_int_dimensions  = array[4]{0,0,0,0};
#declare surf_int_object      = object{CL_rlp_make_linesurfacevolume_integral(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,
                                                                              CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                              integrand_part,integrand_string,int_varb_string,sub_string,
                                                                              front_space,back_space,display_type,integral_type,vector_type,oint,
                                                                              integrand_dimensions,surf_int_dimensions)} 
#declare part_dims             = array[2]{vol_int_dimensions,surf_int_dimensions};
#declare relation_string       = " = ";   
#declare relation_object       = 0;
#declare space_around          = CL_medium_space; 
#declare my_maths_object       = object{CL_rlp_make_equation(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                             vol_int_object,surf_int_object,relation_object,relation_string,
                                                             space_around,part_dims,CL_dimensions_out)} 
#declare relation_middle       = CL_dimensions_out[2]; // This is the x coord of the middle of the relationship, so you can line up, e.g. equals signs.
//
object{my_maths_object translate <-CL_dimensions_out[2],3.5,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
//
// Stokes' Theorem
// Make the surface integral object 
// 
#declare integrand_part       = 0;
#declare integrand_string     = "#|9|*F";  
#declare int_varb_string      = "#S";
#declare sub_string           = "#S";  
#declare front_space          = 0;
#declare back_space           = CL_medium_space;
#declare display_type         = 1;  // 0 for inline, 1 for displayed
#declare integral_type        = 2;  // 1 for line, 2 for surface, 3 for volume.
#declare vector_type          = 3;  // 1 for underlined, 2 for emboldened. For surface, 3 for dot n hat underlined, 4 for dot n emboldened.
#declare oint                 = 1;  // 0 for oint, 1 for not oint. Ignored for volume.
#declare integrand_dimensions = array[4]{0,0,0,0};
#declare surf_int_dimensions  = array[4]{0,0,0,0};
#declare surf_int_object      = object{CL_rlp_make_linesurfacevolume_integral(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,
                                                                              CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                              integrand_part,integrand_string,int_varb_string,sub_string,
                                                                              front_space,back_space,display_type,integral_type,vector_type,oint,
                                                                              integrand_dimensions,surf_int_dimensions)} 
//
// Make the line integral object
//      
#declare integrand_part       = 0;
#declare integrand_string     = "#F";  
#declare int_varb_string      = "#l";
#declare sub_string           = "#|jS";  
#declare front_space          = CL_medium_space;
#declare back_space           = CL_medium_space;
#declare display_type         = 1;  // 0 for inline, 1 for displayed
#declare integral_type        = 1;  // 1 for line, 2 for surface, 3 for volume.
#declare vector_type          = 1;  // 1 for underlined, 2 for emboldened. For surface, 3 for dot n hat underlined, 4 for dot n emboldened.
#declare oint                 = 0;  // 0 for oint, 1 for not oint. Ignored for volume.
#declare line_int_dimensions  = array[4]{0,0,0,0};
#declare line_int_object      = object{CL_rlp_make_linesurfacevolume_integral(CL_tiny_space,CL_letter_adjust,CL_letter_adjust,
                                                                              CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                              integrand_part,integrand_string,int_varb_string,sub_string,
                                                                              front_space,back_space,display_type,integral_type,vector_type,oint,
                                                                              integrand_dimensions,line_int_dimensions)} 
#declare part_dims             = array[2]{surf_int_dimensions,line_int_dimensions};
#declare relation_string       = " = ";   
#declare relation_object       = 0;
#declare space_around          = CL_medium_space; 
#declare my_maths_object       = object{CL_rlp_make_equation(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                             surf_int_object,line_int_object,relation_object,relation_string,
                                                             space_around,part_dims,CL_dimensions_out)} 
#declare relation_middle       = CL_dimensions_out[2]; // This is the x coord of the middle of the relationship, so you can line up, e.g. equals signs.
//
object{my_maths_object translate <-relation_middle,-8,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
// Text
//  
#declare my_text_string        = "Gauss' Theorem:";  
#declare my_maths_object       = object{CL_rlp_make_text_string(my_text_string,CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,
                                                                  CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)} 
object{my_maths_object translate <-relation_middle,8,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
#declare my_text_string        = "Stokes' Theorem:";  
#declare my_maths_object       = object{CL_rlp_make_text_string(my_text_string,CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,
                                                                  CL_d_rad,CL_offs,CL_cham,CL_font_type,CL_dimensions_out)} 
object{my_maths_object translate <-relation_middle,-3.5,0> pigment{rgb 1} finish{ambient 0 specular 1}}      

  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

//camera{orthographic location<-20,20,-80> look_at <0,0,0> angle 15}
camera{orthographic location<50,50,-100> look_at <-1.5,1,0> angle 15}

